Package org.pushingpixels.substance.api.painter.fill

# Class StandardFillPainter

java.lang.Object
org.pushingpixels.substance.api.painter.fill.StandardFillPainter

All Implemented Interfaces:
  `SubstanceFillPainter`, `SubstanceTrait`

Direct Known Subclasses:
  `ClassicFillPainter`, `GlassFillPainter`, `SimplisticFillPainter`, `SubduedFillPainter`

public class StandardFillPainter extends Object implements SubstanceFillPainter
Gradient painter that returns images with subtle 3D gradient appearance. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`StandardFillPainter()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBottomFillColor(SubstanceColorScheme fillScheme)`
Computes the color of the bottom portion of the fill.
`Color`
`getBottomShineColor(SubstanceColorScheme fillScheme)`
Computes the color of the bottom portion of the shine.
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`Color`
`getMidFillColorBottom(SubstanceColorScheme fillScheme)`
Computes the color of the middle portion of the fill from the bottom.
`Color`
`getMidFillColorTop(SubstanceColorScheme fillScheme)`
Computes the color of the middle portion of the fill from the top.
`Color`
`getTopFillColor(SubstanceColorScheme fillScheme)`
Computes the color of the top portion of the fill.
`Color`
`getTopShineColor(SubstanceColorScheme fillScheme)`
Computes the color of the top portion of the shine.
`void`
`paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)`
Fills the contour that matches the specified parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardFillPainter

public StandardFillPainter()

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Returns:
  The display name of `this` trait.

### paintContourBackground

public void paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)
Description copied from interface: `SubstanceFillPainter`
Fills the contour that matches the specified parameters.

Specified by:
  `paintContourBackground` in interface `SubstanceFillPainter`
Parameters:
  `g` - Graphics context.
  `comp` - Component to paint.
  `width` - Width of a UI component.
  `height` - Height of a UI component.
  `contour` - Contour of a UI component.
  `isFocused` - Indication whether component owns the focus.
  `fillScheme` - The fill color scheme.
  `hasShine` - Indication whether the returned image should have a 3D shine spot in its top half.

### getTopFillColor

public Color getTopFillColor(SubstanceColorScheme fillScheme)
Computes the color of the top portion of the fill. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the top portion of the fill.

### getMidFillColorTop

public Color getMidFillColorTop(SubstanceColorScheme fillScheme)
Computes the color of the middle portion of the fill from the top. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the middle portion of the fill from the top.

### getMidFillColorBottom

public Color getMidFillColorBottom(SubstanceColorScheme fillScheme)
Computes the color of the middle portion of the fill from the bottom. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the middle portion of the fill from the bottom.

### getBottomFillColor

public Color getBottomFillColor(SubstanceColorScheme fillScheme)
Computes the color of the bottom portion of the fill. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the bottom portion of the fill.

### getTopShineColor

public Color getTopShineColor(SubstanceColorScheme fillScheme)
Computes the color of the top portion of the shine. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the top portion of the shine.

### getBottomShineColor

public Color getBottomShineColor(SubstanceColorScheme fillScheme)
Computes the color of the bottom portion of the shine. Override to provide different visual.

Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the bottom portion of the shine.